Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class NamedObjectImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl`

Direct Known Subclasses:
  DefinitionObject, NamedObjectImpl, VariableImpl

public class NamedObjectImpl
extends java.lang.Object

The base class for all business objects.

Since:
  JDevloper 3.0

Field Summary
`protected java.lang.String` | `mFullName`
`protected java.lang.String` | `mObjName`
`protected NamedObjectImpl` | `mParent`
`protected com.sun.java.util.collections.HashMap` | `mProperties`

Constructor Summary
`protected` | `NamedObjectImpl()`

Method Summary
`java.lang.String` | `getFullName()` Gets this object's fully-qualified name.
`java.lang.String` | `getName()` Get the name of this object.
`NamedObjectImpl` | `getParent()` Gets this object's parent.
`java.util.Hashtable` | `getProperties()` Gets this object's properties.
`java.lang.String[]` | `getPropertiesAsStrings()` Gets this object's properties and presents them as a string array.
`com.sun.java.util.collections.HashMap` | `getPropertiesMap()` Gets this object's properties.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`void` | `setFullName(java.lang.String name)` Give this object a fully-qualified name.
`protected void` | `setName(java.lang.String name)` Name this object.
`protected void` | `setParent(NamedObjectImpl parent)` Sets this object's parent.
`protected void` | `setPropertiesMap(com.sun.java.util.collections.HashMap ht)` Replaces all properties.
`void` | `setProperty(java.lang.String hintName, java.lang.Object hintValue)` Adds or changes a property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mProperties

    protected com.sun.java.util.collections.HashMap mProperties

### mObjName

    protected java.lang.String mObjName

### mParent

    protected NamedObjectImpl mParent

### mFullName

    protected java.lang.String mFullName

Constructor Detail

### NamedObjectImpl

    protected NamedObjectImpl()

Method Detail

### setName

    protected void setName(java.lang.String name)

  Name this object.
  Parameters:
    `name` - the name to be given to this object.

### getName

    public java.lang.String getName()

  Get the name of this object.
  Returns:
    the name given to this object.

### setFullName

    public void setFullName(java.lang.String name)

  Give this object a fully-qualified name.
  Parameters:
    `name` - this object's fully-qualified name; the package name concatenated with the class name.

### getFullName

    public java.lang.String getFullName()

  Gets this object's fully-qualified name.
  Returns:
    this object's fully-qualified name; the package name concatenated with the class name.

### setParent

    protected void setParent(NamedObjectImpl parent)

  Sets this object's parent.
  Parameters:
    `parent` - the named object that is to be the parent of this object.

### getParent

    public NamedObjectImpl getParent()

  Gets this object's parent.
  Returns:
    the named object that is this object's parent.

### getPropertiesMap

    public com.sun.java.util.collections.HashMap getPropertiesMap()

  Gets this object's properties. return an empty hashtable if no propertes are set into this object.
  Returns:
    a hash table of properties.

### getProperties

    public java.util.Hashtable getProperties()

  Gets this object's properties. return an empty hashtable if no propertes are set into this object.
  Returns:
    a hash table of properties.

### getPropertiesAsStrings

    public java.lang.String[] getPropertiesAsStrings()

  Gets this object's properties and presents them as a string array.
  Returns:
    key-value pairs in a one-dimensional string array, in which keys and values are interleaved: the nth property's key is at index 2n and its value at index 2n + 1.

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists.
  Parameters:
    `hintName` - a string to be used as a hash table key.
  Returns:
    the value associated with `hintName`, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### setProperty

    public void setProperty(java.lang.String hintName,
                            java.lang.Object hintValue)

  Adds or changes a property.
  Parameters:
    `hintName` - a string to be used as a hash table key.
    `hintValue` - an object to be associated with `key`.

### setPropertiesMap

    protected void setPropertiesMap(com.sun.java.util.collections.HashMap ht)

  Replaces all properties.

  All existing properties are lost.

  Parameters:
    `ht` - a hash table of properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.